[Tool] Superluminal 2.2.1 - FTL Ship Editor

Discuss and distribute tools and methods for modding. Moderator - Grognak
User avatar
Arfy
Posts: 206
Joined: Mon Apr 11, 2016 4:14 am
Location: The S.S Maple

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby Arfy » Fri Jan 26, 2018 1:50 am

ATLAS_5IVE wrote:Arfy, I am trying to use superluminal on FTL version 1.6. I downloaded the .DAT files from the mod you suggested but superluminal doesn't recognize them. If I use the FTL file unpacker on the resource.DAT file in the mod, it unpacks everything like it should.


Hmm, it's work completely fine for me.

(This is probably completely irrelevant, try putting the .dat files on Desktop or something like that?)

Anyway, did you select "resource.dat" on Superluminal's prompt? If so, select "data.dat" instead.
Discord: ATOMiC#9226
ATLAS_5IVE
Posts: 5
Joined: Fri Jan 26, 2018 1:21 am

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby ATLAS_5IVE » Fri Jan 26, 2018 1:55 am

Arfy wrote:
ATLAS_5IVE wrote:Arfy, I am trying to use superluminal on FTL version 1.6. I downloaded the .DAT files from the mod you suggested but superluminal doesn't recognize them. If I use the FTL file unpacker on the resource.DAT file in the mod, it unpacks everything like it should.


Hmm, it's work completely fine for me.

(This is probably completely irrelevant, try putting the .dat files on Desktop or something like that?)

Anyway, did you select "resource.dat" on Superluminal's prompt? If so, select "data.dat" instead.




I have placed them both on the desktop and tried both files. No luck. ALl it gives me is a prompt that says, "FTL Resources were not found. The editor will not be able to load any data from the game, and may crash unexpectedly."

I have even tried running the program in Admin mode. I am using Superluminal v. 2.1.2b
ATLAS_5IVE
Posts: 5
Joined: Fri Jan 26, 2018 1:21 am

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby ATLAS_5IVE » Fri Jan 26, 2018 5:00 am

ATLAS_5IVE wrote:
Arfy wrote:
ATLAS_5IVE wrote:Arfy, I am trying to use superluminal on FTL version 1.6. I downloaded the .DAT files from the mod you suggested but superluminal doesn't recognize them. If I use the FTL file unpacker on the resource.DAT file in the mod, it unpacks everything like it should.


Hmm, it's work completely fine for me.

(This is probably completely irrelevant, try putting the .dat files on Desktop or something like that?)

Anyway, did you select "resource.dat" on Superluminal's prompt? If so, select "data.dat" instead.




I have placed them both on the desktop and tried both files. No luck. ALl it gives me is a prompt that says, "FTL Resources were not found. The editor will not be able to load any data from the game, and may crash unexpectedly."

I have even tried running the program in Admin mode. I am using Superluminal v. 2.1.2b


Is anyone else having this problem? Thank you all for any help you can provide on this.
deat
Posts: 2
Joined: Sat Jan 20, 2018 8:23 pm

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby deat » Sun Jan 28, 2018 4:29 am

Please help me I can't save my ship and when I try to do it it just goes error: NULL
whyy?
Sockaru
Posts: 2
Joined: Wed Jan 24, 2018 3:44 am

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby Sockaru » Mon Jan 29, 2018 4:44 am

ATLAS_5IVE wrote:
ATLAS_5IVE wrote:
Arfy wrote:
Hmm, it's work completely fine for me.

(This is probably completely irrelevant, try putting the .dat files on Desktop or something like that?)

Anyway, did you select "resource.dat" on Superluminal's prompt? If so, select "data.dat" instead.




I have placed them both on the desktop and tried both files. No luck. ALl it gives me is a prompt that says, "FTL Resources were not found. The editor will not be able to load any data from the game, and may crash unexpectedly."

I have even tried running the program in Admin mode. I am using Superluminal v. 2.1.2b


Is anyone else having this problem? Thank you all for any help you can provide on this.


Im having the same problem.
ATLAS_5IVE
Posts: 5
Joined: Fri Jan 26, 2018 1:21 am

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby ATLAS_5IVE » Wed Jan 31, 2018 4:10 pm

Sockaru wrote:
ATLAS_5IVE wrote:
ATLAS_5IVE wrote:


I have placed them both on the desktop and tried both files. No luck. ALl it gives me is a prompt that says, "FTL Resources were not found. The editor will not be able to load any data from the game, and may crash unexpectedly."

I have even tried running the program in Admin mode. I am using Superluminal v. 2.1.2b


Is anyone else having this problem? Thank you all for any help you can provide on this.


Im having the same problem.


I contacted Subset Games directly and may I say they have excellent customer service and commitment to the community. They provided me with the Resources folder from version 1.5 that work with Superluminal 2.1.2b Links are below:

http://www.mediafire.com/file/55y33pf3g140fy1/data.dat

http://www.mediafire.com/file/b8ayvw6qu ... source.dat

Hope this helps! let me know if it doesn't work.
saltypoe
Posts: 5
Joined: Sun Feb 04, 2018 3:36 am

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby saltypoe » Sun Feb 04, 2018 4:18 am

I'm told that with 1.6 it doesn't work because they combine the data.dat and resources.dat into one file. Does anyone have these files or a link for where I can download these files? trying to get into modding and the lack of finding these files is severely hindering my progress.
User avatar
Arfy
Posts: 206
Joined: Mon Apr 11, 2016 4:14 am
Location: The S.S Maple

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby Arfy » Sun Feb 04, 2018 5:11 am

saltypoe wrote:I'm told that with 1.6 it doesn't work because they combine the data.dat and resources.dat into one file. Does anyone have these files or a link for where I can download these files? trying to get into modding and the lack of finding these files is severely hindering my progress.


The download links for resource.dat and data.dat are on the post right above yours.
Discord: ATOMiC#9226
User avatar
K1ller
Posts: 43
Joined: Tue Aug 15, 2017 5:50 pm

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby K1ller » Mon Feb 05, 2018 12:00 pm

Same thing happens to be when i load the data it doesnt find the resources. honestly im just waiting for superluminal to update but thats gonna take forever.... why did they have to change it *anger intensifies*
tecknoviking
Posts: 8
Joined: Sun Feb 04, 2018 4:52 am

Re: [Tool] Superluminal 2.1.2b - FTL Ship Editor [Incompatible with FTL 1.6]

Postby tecknoviking » Tue Feb 06, 2018 6:37 am

Arfy, I am trying to use superluminal on FTL version 1.6. I downloaded the .DAT files from the mod you suggested but superluminal doesn't recognize them. If I use the FTL file unpacker on the resource.DAT file in the mod, it unpacks everything like it should. Am I missing something? Any help would be greatly appreciated.


Atlas, I may have a solution to your problem. What I did is put the two .dat's into a single folder and when I was prompted by superluminal to direct it to the directory, I selected the data.dat, not the resource folder.

Who is online

Users browsing this forum: No registered users and 15 guests